#
# spec file for package npapi-vlc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Adapted to Mageia Linux Cauldron - file bugs for this package
# on http://bugs.mageia.org/ .

Name:           npapi-vlc
Version:        2.0.0
Release:        %mkrel 4
Summary:        VLC video and audio plugin for browsers
License:        GPLv2+
Group:          Video/Utilities
Url:            http://www.videolan.org/
Source0:        http://download.videolan.org/pub/videolan/vlc/%{version}/npapi-vlc-%{version}.tar.xz
Patch0:         npapi-vlc-2.0.0-no_return.patch
BuildRequires:  xz
BuildRequires:  cairo-devel
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  vlc-devel >= 1.1.0
BuildRequires:  xulrunner-devel
BuildRequires:  pkgconfig(x11)

%description
This plugin allows one to watch standalone or embedded video or
audio files, inside web browsers.


%prep
%setup -q
%patch0

%build
%configure --disable-silent-rules
%make

%install
%define plug_dir %{_libdir}/mozilla/plugins
%makeinstall_std npvlcdir=%{plug_dir}
rm -f %{buildroot}%{plug_dir}/libvlcplugin.la

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{plug_dir}/libvlcplugin.so


%changelog

* Mon Jan 21 2013 kamil <kamil> 2.0.0-4.mga3
+ Revision: 390666
- update group to Video/Utilities
- cleaning .spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 10 2012 shlomif <shlomif> 2.0.0-2.mga3
+ Revision: 269224
- Improve the summary and desc

* Fri Jun 22 2012 shlomif <shlomif> 2.0.0-1.mga3
+ Revision: 262683
- rpmlint complained about libx11-devel - pkgconfig(x11) should be safer.
- Correct release
- Correct the BuildRequires to Mageia ones
- Fix the plugins' dir
- Fix rpmlint warnings and other non-Mageia-isms
- Imported from SuSE

